package hdl

import (
	"applet/app/e"
	"applet/app/svc"
	"github.com/gin-gonic/gin"
)

// User 用户信息
// @Summary      用户信息
// @Tags         用户信息
// @Description  用户信息
// @Accept       json
// @Produce      json
// @Success      200   {string}   				""
// @Failure      400   {object}   md.Response              	"具体错误"
// @Router       /api/v1/communityTeam/agent/user [GET]
func User(c *gin.Context) {
	user := svc.GetUser(c)
	res := map[string]string{
		"head_img": user.Profile.AvatarUrl,
		"nickname": user.Info.Nickname,
		"phone":    user.Info.Phone,
	}
	e.OutSuc(c, res, nil)
	return
}
